## ros-jazzy-ur-controllers 2.4.5

=== debian/changelog ===
ros-jazzy-ur-controllers (2.4.5-1bookworm) bookworm; urgency=high

  * Use latched publishing for robot_mode and safety_mode
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 May 2024 22:00:00 -0000

ros-jazzy-ur-controllers (2.4.4-1bookworm) bookworm; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 03 Apr 2024 22:00:00 -0000

ros-jazzy-ur-controllers (2.4.3-1bookworm) bookworm; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Feb 2024 23:00:00 -0000

ros-jazzy-ur-controllers (2.4.2-1bookworm) bookworm; urgency=high

  * Update read_state_from_hardware
  * Renamed normalize_joint_error to joints_angle_wraparound
  * Remove noisy controller log message
  * Contributors: Felix Exner, Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 22 Nov 2023 23:00:00 -0000

ros-jazzy-ur-controllers (2.4.1-1bookworm) bookworm; urgency=high

  * Update sjtc to newest upstream API (#810 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/pull/810>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 20 Sep 2023 22:00:00 -0000

ros-jazzy-ur-controllers (2.4.0-1bookworm) bookworm; urgency=high

  * Handle api changes related to traj_external_point_ptr_ (#779 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/779>)
    * Handle api changes related to traj_external_point_ptr_
    * Fix formatting
    ---------
    Co-authored-by: Robert Wilbrandt <mailto:wilbrandt@fzi.de>
  * Contributors: Yadu

 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 27 Aug 2023 22:00:00 -0000

ros-jazzy-ur-controllers (2.3.2-1bookworm) bookworm; urgency=high

  * added missing command interfaces into gpio controller (#693 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/693>)
  * Fixed formatting (#685 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/685>)
    * Removed empty lines from python files
    * Fixed typo in changelogs
  * Adding maximum retry counter in gpio controller (Multiarm part 3) - v2 (#672 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/672>)
  * Ported controllers to generate_parameters library and added prefix for controllers (Multiarm part 2) (#594 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/594>)
  * Switched out a deprecated header to avoid buildfarm warnings.
  * Introduce hand back control service (#528 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/528>)
  * Contributors: Felix Exner, Felix Exner (fexner), Lennart Nachtigall, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 01 Jun 2023 22:00:00 -0000

ros-jazzy-ur-controllers (2.3.1-1bookworm) bookworm; urgency=high

  * Adjust scaled jtc to new publish_state interface
    Until next sync we need to build against upstream ros2_controllers, as
    this is an API-breaking change
  * Contributors: Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 15 Mar 2023 23:00:00 -0000

ros-jazzy-ur-controllers (2.3.0-1bookworm) bookworm; urgency=high

  * Added services to set tool voltage and zero force torque sensor (#466 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/466>)
    Added launch arguments for reverse ip and script command interface port.
  * Contributors: Mads Holm Peters

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 01 Mar 2023 23:00:00 -0000

ros-jazzy-ur-controllers (2.2.4-1bookworm) bookworm; urgency=high

  * Adapt jtc controller params to new param api
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Thu, 06 Oct 2022 22:00:00 -0000

ros-jazzy-ur-controllers (2.2.3-1bookworm) bookworm; urgency=high

  * Adapt ros control api (#448 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/448>)
    * scaled jtc: Use get_interface_name instead of get_name
    * Migrate from stopped controllers to inactive controllers
    stopped controllers has been deprecated upstream
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 26 Jul 2022 22:00:00 -0000

ros-jazzy-ur-controllers (2.2.2-1bookworm) bookworm; urgency=high

  * Adapted to JTC interpolation method feature (#439 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/439>)
  * Made sure all past maintainers are listed as authors (#429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/429>)
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 18 Jul 2022 22:00:00 -0000

ros-jazzy-ur-controllers (2.2.1-1bookworm) bookworm; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Sun, 26 Jun 2022 22:00:00 -0000

ros-jazzy-ur-controllers (2.2.0-1bookworm) bookworm; urgency=high

  * Updated package maintainers
  * Prepare for humble (#394 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/394>)
  * Update dependencies on all packages (#391 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/391>)
  * Update controllers' API (#351 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/351>)
  * Update binary dependencies (#344 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/344>)
  * Use upstream fts_broadcaster (#304 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/304>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Added controller stopper node (#309 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/309>)
  * Add missing dependency on angles and update formatting for linters. (#283 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/283>)
  * Payload service (#238 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/238>)

