## ros-jazzy-ur-controllers 2.4.10

=== debian/changelog ===
ros-jazzy-ur-controllers (2.4.10-1bookworm) bookworm; urgency=high

  * Updated get_state to get_lifecycle_state (#1087 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1087>)
  * Update maintainers team (#1088 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/1088>)
  * Contributors: Vincenzo Di Pentima

 -- Felix Exner <exner@fzi.de>  Tue, 10 Sep 2024 16:00:00 -0000

ros-jazzy-ur-controllers (2.4.9-1bookworm) bookworm; urgency=high



 -- Felix Exner <exner@fzi.de>  Thu, 08 Aug 2024 16:00:00 -0000

ros-jazzy-ur-controllers (2.4.8-1bookworm) bookworm; urgency=high



 -- Felix Exner <exner@fzi.de>  Sun, 30 Jun 2024 16:00:00 -0000

ros-jazzy-ur-controllers (2.4.7-1bookworm) bookworm; urgency=high



 -- Felix Exner <exner@fzi.de>  Tue, 18 Jun 2024 16:00:00 -0000

ros-jazzy-ur-controllers (2.4.6-1bookworm) bookworm; urgency=high

  * this simple fix should fix the goal time violated issue (#882 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/882>)
  * Restructure documentation for full stack documentation (#984 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/984>)
  * Contributors: Felix Exner (fexner), Lennart Nachtigall, Vincenzo Di Pentima

 -- Felix Exner <exner@fzi.de>  Sun, 16 Jun 2024 16:00:00 -0000
