=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-jazzy-ur-controllers
 Section: misc
 Priority: optional
-Maintainer: Denis Stogl <denis@stoglrobotics.de>
+Maintainer: Felix Exner <exner@fzi.de>
 Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-angles, ros-jazzy-controller-interface, ros-jazzy-joint-trajectory-controller, ros-jazzy-lifecycle-msgs, ros-jazzy-pluginlib, ros-jazzy-rclcpp-lifecycle, ros-jazzy-rcutils, ros-jazzy-realtime-tools, ros-jazzy-std-msgs, ros-jazzy-std-srvs, ros-jazzy-ur-dashboard-msgs, ros-jazzy-ur-msgs, ros-jazzy-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2
